C (c) CROWN COPYRIGHT 1995, METEOROLOGICAL OFFICE, All Rights Reserved.            RAD_ALL.9163  
C                                                                                  RAD_ALL.9164  
C Use, duplication or disclosure of this code is subject to the                    RAD_ALL.9165  
C restrictions as set forth in the contract.                                       RAD_ALL.9166  
C                                                                                  RAD_ALL.9167  
C                Meteorological Office                                             RAD_ALL.9168  
C                London Road                                                       RAD_ALL.9169  
C                BRACKNELL                                                         RAD_ALL.9170  
C                Berkshire UK                                                      RAD_ALL.9171  
C                RG12 2SZ                                                          RAD_ALL.9172  
C                                                                                  RAD_ALL.9173  
C If no contract has been raised with this copy of the code, the use,              RAD_ALL.9174  
C duplication or disclosure of it is strictly prohibited.  Permission              RAD_ALL.9175  
C to do so must first be obtained in writing from the Head of Numerical            RAD_ALL.9176  
C Modelling at the above address.                                                  RAD_ALL.9177  
C ******************************COPYRIGHT******************************            RAD_ALL.9178  
C                                                                                  RAD_ALL.9179  
!+ Function to set extrapolation flag for the net solver                           RAD_ALL.9180  
!                                                                                  RAD_ALL.9181  
! Method:                                                                          RAD_ALL.9182  
!       Straightforward.                                                           RAD_ALL.9183  
!                                                                                  RAD_ALL.9184  
! Current Owner of Code: J. M. Edwards                                             RAD_ALL.9185  
!                                                                                  RAD_ALL.9186  
! History:                                                                         RAD_ALL.9187  
!       Version         Date                    Comment                            RAD_ALL.9188  
!       4.0             27-07-95                Original Code                      RAD_ALL.9189  
!                                               (J. M. Edwards)                    RAD_ALL.9190  
!                                               (J. M. Edwards)                    RAD_ALL.9191  
!                                                                                  RAD_ALL.9192  
! Description of Code:                                                             RAD_ALL.9193  
!   FORTRAN 77 with extensions listed in documentation.                            RAD_ALL.9194  
!                                                                                  RAD_ALL.9195  
!- ---------------------------------------------------------------------           RAD_ALL.9196  
      FUNCTION L_SET_MIX_EXTRAPOLATE(I_EXTRAPOLATE_MIX_NET)                        RAD_ALL.9197  
!                                                                                  RAD_ALL.9198  
!                                                                                  RAD_ALL.9199  
!                                                                                  RAD_ALL.9200  
      IMPLICIT NONE                                                                RAD_ALL.9201  
!                                                                                  RAD_ALL.9202  
!                                                                                  RAD_ALL.9203  
!                                                                                  RAD_ALL.9204  
!     INCLUDE COMDECKS                                                             RAD_ALL.9205  
!     ------------------------------------------------------------------           MIXEXT3A.2     
!     COMDECK FOR TWO-STREAM RADIATION CODE.                                       MIXEXT3A.3     
!                                                                                  MIXEXT3A.4     
!     MODULE TO SET OPTIONS FOR EXTRPOLATION WITH MIXED NET SOLVER.                MIXEXT3A.5     
!                                                                                  MIXEXT3A.6     
      INTEGER                                                                      MIXEXT3A.7     
     &     IP_MN_NO_EXTRAPOLATE                                                    MIXEXT3A.8     
     &   , IP_MN_FULL_EXTRAPOLATE                                                  MIXEXT3A.9     
!                                                                                  MIXEXT3A.10    
      PARAMETER(                                                                   MIXEXT3A.11    
     &     IP_MN_NO_EXTRAPOLATE=1                                                  MIXEXT3A.12    
     &   , IP_MN_FULL_EXTRAPOLATE=2                                                MIXEXT3A.13    
     &   )                                                                         MIXEXT3A.14    
!                                                                                  MIXEXT3A.15    
!     ------------------------------------------------------------------           MIXEXT3A.16    
!                                                                                  RAD_ALL.9207  
!                                                                                  RAD_ALL.9208  
!     DUMMY ARGUMENTS.                                                             RAD_ALL.9209  
      INTEGER   !, INTENT(IN)                                                      RAD_ALL.9210  
     &     I_EXTRAPOLATE_MIX_NET                                                   RAD_ALL.9211  
!             FLAG FOR EXTRAPOLATEION SCHEME FOR MIXED SOLVER                      RAD_ALL.9212  
      LOGICAL   !, INTENT(OUT)                                                     RAD_ALL.9213  
     &     L_SET_MIX_EXTRAPOLATE                                                   RAD_ALL.9214  
!             NAME OF FUNCTION                                                     RAD_ALL.9215  
!                                                                                  RAD_ALL.9216  
!                                                                                  RAD_ALL.9217  
      IF (I_EXTRAPOLATE_MIX_NET.EQ.IP_MN_NO_EXTRAPOLATE) THEN                      RAD_ALL.9218  
         L_SET_MIX_EXTRAPOLATE=.FALSE.                                             RAD_ALL.9219  
      ELSE IF (I_EXTRAPOLATE_MIX_NET.EQ.IP_MN_FULL_EXTRAPOLATE) THEN               RAD_ALL.9220  
         L_SET_MIX_EXTRAPOLATE=.TRUE.                                              RAD_ALL.9221  
      ENDIF                                                                        RAD_ALL.9222  
!                                                                                  RAD_ALL.9223  
!                                                                                  RAD_ALL.9224  
!                                                                                  RAD_ALL.9225  
      RETURN                                                                       RAD_ALL.9226  
      END   
